Package org.etsi.uri._01903.v1_3

# Class EncapsulatedPKIData

java.lang.Object
org.etsi.uri._01903.v1_3.EncapsulatedPKIData

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class EncapsulatedPKIData extends Object implements Serializable

Java class for EncapsulatedPKIDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncapsulatedPKIDataType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="Encoding" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncapsulatedPKIData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEncoding()`
  Gets the value of the encoding property.
  `String`
  `getId()`
  Gets the value of the id property.
  `byte[]`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setEncoding(String value)`
  Sets the value of the encoding property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setValue(byte[] value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncapsulatedPKIData

    public EncapsulatedPKIData()

- ## Method Details

  - ### getValue

    public byte[] getValue()
    Gets the value of the value property.
    Returns:
      possible object is byte[]

  - ### setValue

    public void setValue(byte[] value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEncoding

    public String getEncoding()
    Gets the value of the encoding property.
    Returns:
      possible object is `String`

  - ### setEncoding

    public void setEncoding(String value)
    Sets the value of the encoding property.
    Parameters:
      `value` - allowed object is `String`